aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-08-20 18:40:24 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-08-20 18:40:24 +1200
commit851c01a08778dae009cec1cee3f3ce7633bd3573 (patch)
tree13b21f8919c865c71d11ea5986bd967897ecc58a /bin
parentUpdate path() completion (diff)
downloaddotfiles-851c01a08778dae009cec1cee3f3ce7633bd3573.tar.gz
dotfiles-851c01a08778dae009cec1cee3f3ce7633bd3573.zip
Exit sshi(1) with 1 not 2 if null SSH_CONNECTION
Since that's not a usage error
Diffstat (limited to 'bin')
-rwxr-xr-xbin/sshi2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/sshi b/bin/sshi
index 2f11a61d..a41363ba 100755
--- a/bin/sshi
+++ b/bin/sshi
@@ -4,7 +4,7 @@
# Check we have an SSH_CONNECTION variable
if [ -z "$SSH_CONNECTION" ] ; then
printf >&2 'sshi: SSH_CONNECTION appears empty\n'
- exit 2
+ exit 1
fi
# Print the two variables into a subshell so we can chop them up with read